%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
Name:           telepathy-glib
Version:        0.10.5
Release:        %mkrel 1
Summary:        A glib utility library for the telepathy framework

Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  glib2-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libxslt-proc
BuildRequires:  python-devel

%description
%name is a glib utility library for the telepathy framework.

%package -n %libname
Group: System/Libraries
Summary: A glib utility library for the telepathy framework
Provides: %name
Obsoletes: %name
Requires:       telepathy-filesystem

%description -n %libname
%name is a glib utility library for the telepathy framework.

%package -n %develname
Group: Development/C
Summary: A glib utility library for the telepathy framework
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %develname
%name is a glib utility library for the telepathy framework.

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libtelepathy-glib.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/libtelepathy-glib.la
%{_libdir}/libtelepathy-glib.so
%dir %{_includedir}/telepathy-1.0/
%dir %{_includedir}/telepathy-1.0/telepathy-glib/
%{_includedir}/telepathy-1.0/telepathy-glib/*.h
%{_includedir}/telepathy-1.0/telepathy-glib/_gen/*.h
%{_datadir}/gtk-doc/html/telepathy-glib/
%_libdir/pkgconfig/telepathy-glib.pc

#--------------------------------------------------------------------

%prep
%setup -q
#%patch -p1 -b .pkgconfig

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %buildroot%{_libdir}/libtelepathy-glib.a

%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif


%changelog
* Wed Apr 28 2010 Frederik Himpe <fhimpe@mandriva.org> 0.10.5-1mdv2010.1
+ Revision: 540499
- update to new version 0.10.5

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.10.4-2mdv2010.1
+ Revision: 540362
- rebuild so that shared libraries are properly stripped again

* Tue Apr 20 2010 Frederik Himpe <fhimpe@mandriva.org> 0.10.4-1mdv2010.1
+ Revision: 537240
- update to new version 0.10.4

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.10.3-1mdv2010.1
+ Revision: 535568
- update to new version 0.10.3

* Thu Jan 21 2010 Frederik Himpe <fhimpe@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 494640
- update to new version 0.10.0

* Thu Dec 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.2-1mdv2010.1
+ Revision: 476211
- update to new version 0.9.2

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-1mdv2010.0
+ Revision: 458761
- Release 0.9.1

* Thu Oct 01 2009 Caio Begotti <caio1982@mandriva.org> 0.9.0-1mdv2010.0
+ Revision: 452204
- update it so we can build moblin packages which explicitely depends on functions from 0.9.0

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 448381
- update to new version 0.8.0

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.37-1mdv2010.0
+ Revision: 440841
- update to new version 0.7.37

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.36-1mdv2010.0
+ Revision: 435983
- update to new version 0.7.36

* Tue Aug 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.35-1mdv2010.0
+ Revision: 417844
- update to new version 0.7.35

* Mon Aug 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.34-1mdv2010.0
+ Revision: 417379
- update to new version 0.7.34

* Fri Jun 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.33-1mdv2010.0
+ Revision: 389587
- update to new version 0.7.33

* Fri Jun 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.32-1mdv2010.0
+ Revision: 385550
- update to new version 0.7.32

* Wed May 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.31-1mdv2010.0
+ Revision: 380251
- update to new version 0.7.31

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.30-1mdv2010.0
+ Revision: 377327
- update to new version 0.7.30

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.29-1mdv2010.0
+ Revision: 369662
- update to new version 0.7.29

* Tue Mar 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.27-1mdv2009.1
+ Revision: 356987
- update to new version 0.7.27

* Mon Feb 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.26-1mdv2009.1
+ Revision: 341067
- update to new version 0.7.26

* Sun Feb 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.25-1mdv2009.1
+ Revision: 336099
- update to new version 0.7.25

* Wed Jan 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.24-1mdv2009.1
+ Revision: 334972
- update to new version 0.7.24

* Thu Jan 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.23-1mdv2009.1
+ Revision: 332629
- update to new version 0.7.23

* Sat Jan 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.22-1mdv2009.1
+ Revision: 330436
- update to new version 0.7.22

* Sat Dec 27 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.20-1mdv2009.1
+ Revision: 319854
- update to new version 0.7.20

* Thu Dec 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.19-1mdv2009.1
+ Revision: 310059
- update to new version 0.7.19

* Tue Nov 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.18-1mdv2009.1
+ Revision: 302232
- update to new version 0.7.18

* Sat Oct 18 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.17-1mdv2009.1
+ Revision: 294832
- update to new version 0.7.17

* Sat Oct 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.16-1mdv2009.1
+ Revision: 292460
- update to new version 0.7.16

* Tue Aug 19 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.14-1mdv2009.0
+ Revision: 274014
- update to new version 0.7.14
- Remove the pkgconfig patch, the pkgconfig package now provides
  pkgconfig(pkg-config)

* Wed Jul 30 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.13-2mdv2009.0
+ Revision: 254948
- Patch pkgconfig file to remove Requires: pkg-config >= 0.21,
  otherwise the devel package is unintallable because nothing
  provides this.

* Tue Jul 29 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.13-1mdv2009.0
+ Revision: 253430
- update to new version 0.7.13

* Sun Jul 06 2008 Funda Wang <fwang@mandriva.org> 0.7.11-1mdv2009.0
+ Revision: 232193
- update to new version 0.7.11

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 0.7.10-1mdv2009.0
+ Revision: 219216
- update to new version 0.7.10

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.8-1mdv2009.0
+ Revision: 205811
- New upstream version

* Tue May 06 2008 Funda Wang <fwang@mandriva.org> 0.7.7-1mdv2009.0
+ Revision: 202018
- New version 0.7.7

* Sun May 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-3mdv2009.0
+ Revision: 201153
- Fix Provides of devel package

* Thu Apr 24 2008 Götz Waschk <waschk@mandriva.org> 0.7.6-2mdv2009.0
+ Revision: 197152
- libify the package
- use the right configure macro
- add missing ldconfig calls

* Mon Apr 14 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2009.0
+ Revision: 193068
- New version
- New license policy

* Sun Mar 09 2008 Michael Scherer <misc@mandriva.org> 0.7.5-1mdv2008.1
+ Revision: 182800
- update to new version 0.7.5

* Thu Mar 06 2008 Michael Scherer <misc@mandriva.org> 0.7.4-1mdv2008.1
+ Revision: 180344
- update to new version 0.7.4

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.7.3-1mdv2008.1
+ Revision: 177203
- update to new version 0.7.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill extra spacing at top of description

* Wed Dec 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 117819
- New release 0.7.0

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 97701
- New release 0.6.0

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 0.5.14-1mdv2008.0
+ Revision: 79777
- new version 0.5.14

* Sat Jun 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.13-1mdv2008.0
+ Revision: 34765
- New version 0.5.13

* Tue May 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.11-1mdv2008.0
+ Revision: 20132
- First mandriva rpm
- Import telepathy-glib

